title: UpdateSemesterRequest
properties:
  name:
    type: string
    description: Semester name
  degree:
    type: string
    description: Semester degree
  number:
    type: string
    description: Semester number
  types:
    description: List of codes of lecture type
    type: array
    items:
      type: object
      $ref: ../lecture/LectureType.yaml
